<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
           elementFormDefault="qualified"
           xmlns="http://www.h3c.com/netconf/config:1.0"
           xmlns:base="http://www.h3c.com/netconf/base:1.0"
           xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>
  <xs:complexType name="RadiusServerKeyType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value ="64"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:element name="RadiusServer">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Client">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClientInfos" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="ClientInfo" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="IpAddress" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="VRF" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="0"></xs:minLength>
                                  <xs:maxLength value="31"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Key" type="RadiusServerKeyType" minOccurs="0" nillable="true"></xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>